package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFJ41Response {

    @Parameter(name = "Email")
    String email();

    @Parameter(name = "IDSdeleniZuzeneSJM")
    Long iDSdeleniZuzeneSJM();

    @Parameter(name = "OUACOM")
    String ouacom();

    @Parameter(name = "OUADDI")
    String ouaddi();

    @Parameter(name = "OUATD1")
    String ouatd1();

    @Parameter(name = "OUATD2")
    String ouatd2();

    @Parameter(name = "OUBDTE")
    java.util.Date oubdte();

    @Parameter(name = "OUBINF")
    String oubinf();

    @Parameter(name = "OUBPNA")
    String oubpna();

    @Parameter(name = "OUBRCH")
    String oubrch();

    @Parameter(name = "OUBUPH")
    Long oubuph();

    @Parameter(name = "OUCBUS")
    String oucbus();

    @Parameter(name = "OUCCAD")
    java.util.Date ouccad();

    @Parameter(name = "OUCCCD")
    String oucccd();

    @Parameter(name = "OUCCMP")
    String ouccmp();

    @Parameter(name = "OUCCNR")
    String ouccnr();

    @Parameter(name = "OUCCTG")
    String oucctg();

    @Parameter(name = "OUCCTY")
    String ouccty();

    @Parameter(name = "OUCDCD")
    java.util.Date oucdcd();

    @Parameter(name = "OUCDCN")
    String oucdcn();

    @Parameter(name = "OUCDIS")
    String oucdis();

    @Parameter(name = "OUCFNM")
    String oucfnm();

    @Parameter(name = "OUCFNO")
    String oucfno();

    @Parameter(name = "OUCHNM")
    String ouchnm();

    @Parameter(name = "OUCHNO")
    String ouchno();

    @Parameter(name = "OUCLNM")
    String ouclnm();

    @Parameter(name = "OUCMCH")
    String oucmch();

    @Parameter(name = "OUCNTY")
    String oucnty();

    @Parameter(name = "OUCPNA")
    String oucpna();

    @Parameter(name = "OUCPRF")
    Long oucprf();

    @Parameter(name = "OUCPSP")
    String oucpsp();

    @Parameter(name = "OUCSNM")
    String oucsnm();

    @Parameter(name = "OUCSTA")
    String oucsta();

    @Parameter(name = "OUCSTR")
    String oucstr();

    @Parameter(name = "OUCTC")
    String ouctc();

    @Parameter(name = "OUCTCT")
    String ouctct();

    @Parameter(name = "OUCTIT")
    String ouctit();

    @Parameter(name = "OUCTWN")
    String ouctwn();

    @Parameter(name = "OUCTYP")
    String ouctyp();

    @Parameter(name = "OUCVCD")
    java.util.Date oucvcd();

    @Parameter(name = "OUCVCN")
    String oucvcn();

    @Parameter(name = "OUCVSH")
    String oucvsh();

    @Parameter(name = "OUDEP")
    Long oudep();

    @Parameter(name = "OUDEP3")
    Double oudep3();

    @Parameter(name = "OUDEPI")
    String oudepi();

    @Parameter(name = "OUDIC")
    String oudic();

    @Parameter(name = "OUDORM")
    String oudorm();

    @Parameter(name = "OUDRVL")
    String oudrvl();

    @Parameter(name = "OUDVTD")
    java.util.Date oudvtd();

    @Parameter(name = "OUEDUC")
    String oueduc();

    @Parameter(name = "OUEN")
    String ouen();

    @Parameter(name = "OUENA1")
    String ouena1();

    @Parameter(name = "OUENA2")
    String ouena2();

    @Parameter(name = "OUENA3")
    String ouena3();

    @Parameter(name = "OUENA4")
    String ouena4();

    @Parameter(name = "OUENA5")
    String ouena5();

    @Parameter(name = "OUENA6")
    String ouena6();

    @Parameter(name = "OUEPST")
    String ouepst();

    @Parameter(name = "OUESDT")
    java.util.Date ouesdt();

    @Parameter(name = "OUEXTF")
    String ouextf();

    @Parameter(name = "OUFAX")
    Long oufax();

    @Parameter(name = "OUHMPH")
    Long ouhmph();

    @Parameter(name = "OUHOCN")
    Long ouhocn();

    @Parameter(name = "OUHOUS")
    String ouhous();

    @Parameter(name = "OUICDT")
    String ouicdt();

    @Parameter(name = "OUICO")
    String ouico();

    @Parameter(name = "OUICOE")
    String ouicoe();

    @Parameter(name = "OUINC")
    Double ouinc();

    @Parameter(name = "OUINCG")
    String ouincg();

    @Parameter(name = "OUINCL")
    String ouincl();

    @Parameter(name = "OULEGS")
    String oulegs();

    @Parameter(name = "OULSDT")
    String oulsdt();

    @Parameter(name = "OUMCD1")
    String oumcd1();

    @Parameter(name = "OUMCD2")
    String oumcd2();

    @Parameter(name = "OUMIDT")
    java.util.Date oumidt();

    @Parameter(name = "OUMRTS")
    String oumrts();

    @Parameter(name = "OUMTND")
    java.util.Date oumtnd();

    @Parameter(name = "OUNA1")
    String ouna1();

    @Parameter(name = "OUNA2")
    String ouna2();

    @Parameter(name = "OUNA3")
    String ouna3();

    @Parameter(name = "OUNA4")
    String ouna4();

    @Parameter(name = "OUNA5")
    String ouna5();

    @Parameter(name = "OUNA6")
    String ouna6();

    @Parameter(name = "OUNRRS")
    String ounrrs();

    @Parameter(name = "OUOPDT")
    java.util.Date ouopdt();

    @Parameter(name = "OUOWCD")
    String ouowcd();

    @Parameter(name = "OUPERS")
    String oupers();

    @Parameter(name = "OUPOFF")
    String oupoff();

    @Parameter(name = "OUPSTL")
    String oupstl();

    @Parameter(name = "OUPVTD")
    java.util.Date oupvtd();

    @Parameter(name = "OURC")
    String ourc();

    @Parameter(name = "OUREGN")
    String ouregn();

    @Parameter(name = "OURISK")
    String ourisk();

    @Parameter(name = "OUSALU")
    String ousalu();

    @Parameter(name = "OUSECT")
    String ousect();

    @Parameter(name = "OUSEX")
    String ousex();

    @Parameter(name = "OUSHRT")
    String oushrt();

    @Parameter(name = "OUSOCG")
    String ousocg();

    @Parameter(name = "OUSOFF")
    String ousoff();

    @Parameter(name = "OUSOLI")
    String ousoli();

    @Parameter(name = "OUSRIN")
    String ousrin();

    @Parameter(name = "OUSTAT")
    String oustat();

    @Parameter(name = "OUSTUD")
    String oustud();

    @Parameter(name = "OUTREG")
    String outreg();

    @Parameter(name = "OUYREM")
    Long ouyrem();

    @Parameter(name = "OUYTVR")
    Long ouytvr();

    @Parameter(name = "TelefonMobilni")
    String telefonMobilni();

    @Parameter(name = "ZuzeneSJM")
    String zuzeneSJM();

}